Subject: bug#57114: 29.0.50; texinfo-format-buffer in auth.texi leads to backtrace

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Aug 2022 18:50:47 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 10 Aug 2022 07:12:19 -0700
> Cc: [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Why, will it make you change your mind about texinfmt?
> 
> Should it?

If you don't intend to allow for that, why ask?

> > Anyway: our manuals nowadays pass the -I$(srcdir)/../emacs switch to
> > makeinfo, whereas invoking texinfo-format-buffer doesn't do that.  So
> > if you want it to process @include correctly, you should invoke the
> > command with default-directory set to the directory of the included
> > file.
> 
> Do you mean that I should do this first, before I run
> `M-x texinfo-format-buffer'?
> 
>     M-: (setq default-directory (expand-file-name "../emacs/"))

Yes, but you can do it much easier, with the "M-x cd" command.